Status: Closed Start date:
Priority: Normal Due date:
Assignee: Go MAEDA % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 4.1.0
Resolution:
Description

Emails header "From" can be not only in angles format, like this: From: John Doe <john.doe@company.mail>
 but also in parentheses format, like this: From: john.doe@company.mail (John Doe)
 For example sendmail from postfix does this when using switch -F.
The patch to fix this is attached.

Associated revisions
Revision 17914 - 2019-03-03 12:55 - Go MAEDA

Parse author's name enclosed in parentheses in the From field when creating a user account from an email (#17699).

Patch by Go MAEDA.

Revision 17915 - 2019-03-03 14:00 - Go MAEDA

Test for r17914 (#17699).

Revision 17916 - 2019-03-03 15:06 - Go MAEDA

Missing fixture (#17699).

History
#1 - 2014-08-17 03:09 - Toshi MARUYAMA
- Category set to Email receiving

Please add test.
source:trunk/test/unit/mail_handler_test.rb

#2 - 2014-08-17 03:12 - Toshi MARUYAMA
- Subject changed from Parse email with header "From" in parens format to Parse email with header "From" in parentheses format
- Description updated

#3 - 2014-08-18 12:53 - Stanislav German-Evtushenko
- File email_from_parens_format_test.diff added
#4 - 2019-02-10 06:42 - Go MAEDA
- Target version set to Candidate for next major release

#5 - 2019-02-16 04:45 - Go MAEDA
- File 17699-fix-using-mail-address-object.diff added
- Target version changed from Candidate for next major release to 4.0.2

I wrote a new patch. The code using Mail::Address is shorter and maybe more reliable (I hope) than the code using our regular expressions.
Patches to commit:
    -  attachment:17699-fix-using-mail-address-object.diff
    -  attachment:email_from_parens_format_test.diff

#6 - 2019-02-16 05:37 - Go MAEDA
- Target version changed from 4.0.2 to 4.1.0

#7 - 2019-02-16 07:38 - Go MAEDA
- File 17699-fix-using-mail-address-object-v2.diff added

Updated the patch. email.header['from'] can be nil or Mail::UnstructuredField object (does not have addrs method).

#8 - 2019-02-16 07:47 - Go MAEDA
- File deleted (17699-fix-using-mail-address-object-v2.diff)

#9 - 2019-02-16 07:48 - Go MAEDA
- File 17699-fix-using-mail-address-object-v2.diff added

#10 - 2019-02-16 08:02 - Go MAEDA
- File 17699-fix-using-mail-address-object-v3.diff added

Updated the patch again. from_addr.comments also can be nil.

#11 - 2019-02-17 15:53 - Go MAEDA
- File 17699-fix-using-mail-address-object-v4.diff added

#12 - 2019-03-03 14:00 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

Committed the patch.

#13 - 2019-03-03 14:00 - Go MAEDA
- Subject changed from Parse email with header "From" in parentheses format to Parse author's name enclosed in parentheses in the From field when 
creating a user account from an email

#14 - 2019-03-05 00:33 - Go MAEDA
- Tracker changed from Patch to Feature

Files
email_from_parens_format.diff 671 Bytes 2014-08-16 Stanislav German-Evtushenko
email_from_parens_format_test.diff 2.11 KB 2014-08-18 Stanislav German-Evtushenko
17699-fix-using-mail-address-object.diff 773 Bytes 2019-02-16 Go MAEDA
17699-fix-using-mail-address-object-v2.diff 843 Bytes 2019-02-16 Go MAEDA
17699-fix-using-mail-address-object-v3.diff 849 Bytes 2019-02-16 Go MAEDA
17699-fix-using-mail-address-object-v4.diff 847 Bytes 2019-02-17 Go MAEDA
